> ## Documentation Index
> Fetch the complete documentation index at: https://developer.ongoody.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a product



## OpenAPI

````yaml GET /v1/products/{id}
openapi: 3.0.1
info:
  title: Goody API
  version: 1.0.0
  contact:
    name: Goody Support
    email: support@ongoody.com
servers:
  - url: https://api.ongoody.com
    description: Production
  - url: https://api.sandbox.ongoody.com
    description: Sandbox
security: []
paths:
  /v1/products/{id}:
    get:
      tags:
        - Products
      summary: Retrieve a product
      parameters:
        - name: id
          in: path
          description: Product ID
          required: true
          schema:
            type: string
        - name: use_custom_catalog
          in: query
          schema:
            type: boolean
          description: Limit to custom catalog only (for approved API partners)
          required: false
      responses:
        '200':
          description: Product retrieved
          content:
            application/json:
              examples:
                Product retrieved:
                  value:
                    id: 42bee678-617c-4925-a30e-783bcd9772d1
                    name: Six Cookies
                    brand:
                      id: e663f830-efbd-4cc9-b46d-7ee2a6459017
                      name: Gov. Gerardo Gerhold
                      logo_image: null
                      shipping_price: 1000
                      free_shipping_minimum: null
                      brand_values: []
                    subtitle: null
                    subtitle_short: null
                    recipient_description: ''
                    variants_label: option
                    variants_num_selectable: 3
                    variants:
                      - id: 9e918c3b-7d28-428d-8578-a5ddd66a7859
                        name: Chocolate Chip
                        subtitle: Classic chocolate chip.
                        image_large: null
                      - id: 8c22f783-0386-479d-8eda-441ff27e1373
                        name: Oatmeal
                        subtitle: Delicious oatmeal.
                        image_large: null
                      - id: 32997c3f-39f3-44c8-a277-018eb9c83fef
                        name: Sugar
                        subtitle: Tasty sugar.
                        image_large: null
                    variant_groups: []
                    images: []
                    price: 1000
                    price_is_variable: false
                    restricted_states: []
                    attributes: []
                    updated_at: '2026-06-03T12:25:20Z'
                    status: active
              schema:
                $ref: '#/components/schemas/Product'
        '404':
          description: Product not found
          content:
            application/json:
              examples:
                Product not found:
                  value:
                    error: Product not found
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - bearer: []
components:
  schemas:
    Product:
      type: object
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
        brand:
          $ref: '#/components/schemas/Brand'
        subtitle:
          type: string
          nullable: true
          description: A description of this product.
        subtitle_short:
          type: string
          nullable: true
          description: >-
            An optional one-line description of this product. When provided, it
            overrides the subtitle when displayed in areas with less space. Not
            always provided.
        recipient_description:
          type: string
          nullable: true
          description: >-
            An optional description of this product with custom verbiage for
            recipients. When provided, it overrides the subtitle for the product
            when displayed to the recipient. Falls back to the subtitle.
        variants_label:
          type: string
          nullable: true
          description: The label for the variants of this product, e.g. "Size" or "Color".
        variants_num_selectable:
          type: integer
          nullable: true
          description: >-
            The number of variants that can be selected for this product. For
            example, if this is a t-shirt, then this would be 1, since you can
            only select one size. If this were a build-a-box of chocolates, this
            could be 3 if you could select 3 flavor variants.
        variants:
          type: array
          items:
            $ref: '#/components/schemas/ProductVariant'
        variant_groups:
          type: array
          items:
            $ref: '#/components/schemas/ProductVariantGroup'
          description: >-
            For products that have multiple types of variants, such as both
            Color and Size, this array contains each group and the options for
            each group. All variant group permutations have a variant generated
            for them, constructed from the options in the order of the groups,
            separated by ` / `, e.g. `Medium / Black` when the groups are Size
            and Color.
        images:
          type: array
          items:
            $ref: '#/components/schemas/ProductImage'
        price:
          type: integer
          description: The price of the product, in cents.
        price_is_variable:
          type: boolean
          description: >-
            Whether the price of this product is variable. If true, then the
            price can be set by the sender.
        price_min:
          type: integer
          nullable: true
          description: >-
            The minimum price of the product, in cents. Only used if
            price_is_variable is true.
        price_max:
          type: integer
          nullable: true
          description: >-
            The maximum price of the product, in cents. Only used if
            price_is_variable is true.
        restricted_states:
          type: array
          items:
            type: string
            description: The US states that this product cannot be shipped to.
        attributes:
          type: array
          items:
            $ref: '#/components/schemas/ProductAttribute'
          description: An array of attributes that describe this product.
        status:
          type: string
          enum:
            - active
            - inactive
          description: >-
            Whether this product is active. Since the product catalog only
            returns active products by default, this is always `true`, except if
            you are a Commerce API customer using a custom catalog, and are
            pulling products with the `custom_catalog_show_inactive` flag.
        updated_at:
          type: string
          format: date-time
          description: >-
            The date and time this product was last updated, ISO 8601 format.
            This is bumped when the product, brand, product variants, product
            attributes, or product images are updated.
        reserved_options:
          type: object
          description: For approved API partners only.
          properties:
            custom_price_tier:
              type: integer
              nullable: true
              description: >-
                For approved API partners only. A custom price tier for this
                product.
          nullable: true
      required:
        - id
        - name
        - brand
        - variants
        - images
        - price
        - price_is_variable
        - restricted_states
    Error:
      type: object
      properties:
        error:
          type: string
      required:
        - error
    Brand:
      type: object
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
        logo_image:
          $ref: '#/components/schemas/Image'
          nullable: true
          description: The logo image for this brand.
        shipping_price:
          type: integer
          description: The price of shipping for this brand, in cents.
        free_shipping_minimum:
          type: integer
          description: >-
            When set and when the product price is above this amount, shipping
            is free. In cents. Products in a cart for this brand can combine to
            reach this threshold.
          nullable: true
        commerce_revshare_excluded:
          type: boolean
          description: >-
            Whether this brand is excluded from the commerce revenue share. Only
            displayed on the products endpoint when using a commerce app.
          nullable: true
        brand_values:
          type: array
          items:
            type: string
          description: >-
            An array of brand values for this brand. Potential values are USA
            Made, Social Impact Driven, Sustainable, Gluten Free, Vegan, Kosher
            Certified, Female Founded, AAPI Founded, BIPOC Founded, Black
            Founded, LGBTQ+ Founded, and Hispanic Founded.
        brand_sets:
          type: array
          items:
            $ref: '#/components/schemas/BrandSet'
          description: >-
            An array of brand sets for this brand. Only included when using the
            brands endpoint.
          nullable: true
      required:
        - id
        - name
    ProductVariant:
      type: object
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
        image_large:
          $ref: '#/components/schemas/Image'
          nullable: true
        subtitle:
          type: string
          nullable: true
      required:
        - id
        - name
    ProductVariantGroup:
      type: object
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
          description: The name of the variant group, e.g. "Size" or "Color".
        options:
          type: array
          items:
            $ref: '#/components/schemas/ProductVariantGroupOption'
      required:
        - id
        - name
    ProductImage:
      type: object
      properties:
        id:
          type: string
          format: uuid
        image_large:
          $ref: '#/components/schemas/Image'
      required:
        - id
        - image_large
    ProductAttribute:
      type: object
      properties:
        label:
          type: string
          description: The label for this attribute, e.g. "Materials".
        content:
          type: string
          description: >-
            The content for this attribute, e.g. "80% cotton, 20% elastane".
            This can be text or sanitized HTML (you might choose to sanitize the
            HTML as well). Allowed elements are a (href allowed), div, img (src,
            width height, alt allowed), span, p, br, strong, b, em, i, ol, ul,
            li, and hr.
      required:
        - label
        - content
    Image:
      type: object
      properties:
        url:
          type: string
        width:
          type: integer
        height:
          type: integer
      required:
        - url
    BrandSet:
      type: object
      description: A brand set represents a collection of products from a brand.
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
        images:
          type: array
          items:
            $ref: '#/components/schemas/BrandSetImage'
          description: An array of images for this brand set.
        products:
          type: array
          items:
            $ref: '#/components/schemas/Product'
          description: An array of products in this brand set.
        categories:
          type: array
          items:
            $ref: '#/components/schemas/BrandSetCategory'
          description: An array of categories this brand set belongs to.
      required:
        - id
        - name
    ProductVariantGroupOption:
      type: object
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
          description: >-
            The name of the variant group option, e.g. "Small" for the "Size"
            variant group.
        subtitle:
          type: string
          nullable: true
        color:
          type: string
          nullable: true
          description: The hex color code for this option, e.g. "#000000", if any.
        image_large:
          $ref: '#/components/schemas/Image'
          nullable: true
      required:
        - id
        - name
    BrandSetImage:
      type: object
      properties:
        id:
          type: string
          format: uuid
        image_large:
          $ref: '#/components/schemas/Image'
      required:
        - id
        - image_large
    BrandSetCategory:
      type: object
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
        subcategories:
          type: array
          items:
            type: string
          description: An array of subcategory names within this category.
      required:
        - id
        - name
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      description: Your Goody API key.

````